#ifndef __SYMTAB_H__
#define __SYMTAB_H__

#include <bfd.h>

void symbol_print(asymbol * sym);
void symtab_print(asymbol ** symtab, int num_syms);
void symtab_load(bfd * abfd, asymbol *** symtab, int * num_syms);
asymbol * symtab_vma_to_sym(asymbol ** symtab, int num_syms, bfd_vma vma);
void symtab_filter(asymbol *** symtab, int * num_syms, flagword flags);
void symtab_sort(asymbol ** symtab, int num_syms);
int symtab_sort_compare(const void * a, const void * b);

#endif /* __SYMTAB_H__ */
