#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "graph.h"

int
main(int argc, char ** argv)
{
  node_t * n1, * n2, * save;
  graph_t * graph;
  int i;

  graph = graph_new();

  srand(getpid());

  save = n1 = node_new(0, NULL);
  n2 = node_new(0, NULL);
  graph_arc_new(graph, n1, n2, rand() % 100, NULL);

  for (i = 0 ; i < 20 ; i ++)
    {
      n1 = node_new(0, NULL);
      n2 = node_new(0, NULL);
      graph_arc_new(graph, n1, n2, rand() % 100, NULL);
    }

  graph_print(graph);

  printf("\n\n\n\n\n\n");
  graph_node_remove(graph, save);

  graph_print(graph);
  return 0;
}  /* main */

