typedef struct pages_struct {
  int page_size; /* size in bytes */
  int num_pages;
  unsigned long start_addr;
  unsigned char * page;
} pages_t;

pages_t * pages_new(unsigned long start_addr, unsigned long end_addr,
		    int page_size);
void pages_destroy(pages_t * pages);

void pages_clear(pages_t * pages);
unsigned char page_inc(pages_t * pages, unsigned long addr, int step);
void page_span_inc(pages_t * pages, unsigned long addr, unsigned long size,
		   int step);

