#ifndef __SEQ_H__
#define __SEQ_H__

#include "order.h"
#include "graph.h"

typedef struct seq_struct {
  graph_t * graph;
} seq_t;

seq_t * seq_load(char * filename, order_t * order);
void seq_destroy(seq_t * seq, order_t * order);
void seq_arc(seq_t * seq, order_t * order, unsigned long addr1,
	     unsigned long addr2, unsigned long weight);
int seq_func_present(seq_t * seq, func_t * func);
void seq_resolve_names(seq_t * seq, order_t * order);

#endif /* __SEQ_H__ */
