#include <stdio.h>
#include <stdlib.h>

#include "order.h"
#include "step.h"

int
main(int argc, char ** argv)
{
  order_t * order, * new;

  if (argc < 2)
    {
      fprintf(stderr, "Usage: %s <executable>\n", *argv);
      exit(1);
    }

  printf("Loading order from executable...\n");
  order = order_load(argv[1]);

  new = (order_t *) malloc(sizeof(order_t));
  if (new == NULL)
    {
      fprintf(stderr, "Out of memory\n");
      exit(1);
    }

  printf("Generating random step...\n");
  order_step(new);


  return 0;
} /* main */
